# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-issues

Name:           python-%{pypi_name}
Version:        1.2.0
Release:        %mkrel 3
Summary:        A Sphinx extension for linking to your project's issue tracker
Group:          Development/Python
License:        MIT
URL:            https://github.com/sloria/sphinx-issues
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(pre-commit)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tox)

%description
A Sphinx extension for linking to your project’s issue tracker. Includes roles
for linking to issues, pull requests, user profiles, with built-in support for
GitHub (though this works with other services).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(flake8)
Requires:       python3dist(flake8-bugbear)
Requires:       python3dist(mock)
Requires:       python3dist(pre-commit)
Requires:       python3dist(pytest)
Requires:       python3dist(sphinx)

%description -n python3-%{pypi_name}
A Sphinx extension for linking to your project’s issue tracker. Includes roles
for linking to issues, pull requests, user profiles, with built-in support for
GitHub (though this works with other services).

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/sphinx_issues.py
%{python3_sitelib}/sphinx_issues-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.2.0-3.mga8
+ Revision: 1531402
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 1.2.0-2.mga8
+ Revision: 1439804
- rebuild for python3.8

* Sun Aug 18 2019 wally <wally> 1.2.0-1.mga8
+ Revision: 1429853
- imported package python-sphinx-issues

